<?php 
//------------------------------------------
//Creado por: GUSTAVO LÓPEZ
//------------------------------------------
require_once('../clases/cabecera_horizontal.php');
require_once('../clases/conexion.php');
//require_once('../clases/wordwrap.php');


$_GET = array_merge($_GET,$_POST);
//$mapexten = $_GET["mapexten"];
error_reporting(0);


//obtención de variables enviados por URL

$id_proyecto 	= $_GET["id_proyecto"];
$id_usuario	= $_GET["usr"];

$pdf = new PDF();

$resultcol = pg_query ($link_bd, "select l.des_proyecto, l.codigo, l.id_tramo, l.tramo, l.id_subtramo, l.subtramo, UPPER(l.nombre_completo) nombre_completo, l.tipo_afectacion, l.seg_certificado_pago, l.seg_fecha_pagado, l.dao_total_conformidad
from ide.v_expedientes_listado_g l
where l.seg_certificado_pago is not null and l.id_proyecto=".$id_proyecto." --and codigo='P1096'
order by l.tramo, l.subtramo");

$sum_total=pg_query ($link_bd, "select sum(l.dao_total_conformidad) sum
from ide.v_expedientes_listado_g l
where l.seg_certificado_pago is not null and l.id_proyecto=".$id_proyecto);
while ($datos2 = pg_fetch_array($sum_total)) {		
	$monto_total = number_format($datos2[sum], 0, ',', '.');
}


$linea=10; 
$l=0;
$separador=4;

$clasificacion_a='N';
$titulo='S';
while ($datos = pg_fetch_array($resultcol)) {
	$codigo 				= $datos[codigo];
	$id_tramo				= $datos[id_tramo];
	$tramo					= $datos[tramo];
	$id_proyecto 			= $datos[id_proyecto];
	$des_proyecto 			= $datos[des_proyecto];
	$id_subtramo			= $datos[id_subtramo];
	$subtramo				= $datos[subtramo];
	$nombre					= utf8_decode($datos[nombre_completo]);
//	$id_tramo				= $datos[id_tramo];
	$tipo_afectacion     	= $datos[tipo_afectacion];
	$nro_cheque     		= $datos[seg_certificado_pago];
	$fecha_pago     		= $datos[seg_fecha_pagado];
	$monto_pago     		= number_format($datos[dao_total_conformidad], 0, ',', '.');
	
			
	if ($l==0 ) {
		$pdf->AddPage('LANDSCAPE');
		$pdf->SetFont('Arial','',9);
		$pdf->AliasNbPages();

		$linea=30; 
		$l=0;
		if ($titulo=='S'){
			$ancho = 290;
			
			$pdf->SetFont('Arial','BIU',14);
			$textMsg = utf8_decode("Pagos por Obra: ".$des_proyecto);
			$x_CENTRADO = $ancho/2 - $pdf->GetStringWidth($textMsg)/2;//CENTRADO
			$pdf->Text($x_CENTRADO,$linea,$textMsg);
			$linea = $linea + $separador;
			
			$pdf->SetFont('Arial','BIU',12);
			$textMsg = utf8_decode("Monto total Guaraníes: ".$monto_total);
			$x_CENTRADO = $ancho/2 - $pdf->GetStringWidth($textMsg)/2;//CENTRADO
			$pdf->Text(10,$linea,$textMsg);
			$linea = $linea + $separador;
			
			$inicio_celda=10;
			$pdf->SetFont('Arial','B',10);
			$linea = $linea + $separador;
			$ancho_celda=15;
			$textMsg = utf8_decode("NRO: ");//inicio:10 + ancho15
			$pdf->Text($inicio_celda, $linea,$textMsg);
			$inicio_celda=$inicio_celda+$ancho_celda;
			$ancho_celda=25;
			$textMsg = utf8_decode("TRAMO: ");//25
			$pdf->Text($inicio_celda, $linea,$textMsg);
			$inicio_celda=$inicio_celda+$ancho_celda;
			$ancho_celda=25;
			$textMsg = utf8_decode("SUBTRAMO: ");//25
			$pdf->Text($inicio_celda, $linea,$textMsg);
			$inicio_celda=$inicio_celda+$ancho_celda;
			$ancho_celda=100;
			$textMsg = utf8_decode("NOMBRE: ");//100
			$pdf->Text($inicio_celda, $linea,$textMsg);
			$inicio_celda=$inicio_celda+$ancho_celda;
			$ancho_celda=25;
			$textMsg = utf8_decode("AFECTACION: ");//30
			$pdf->Text($inicio_celda, $linea,$textMsg);
			$inicio_celda=$inicio_celda+$ancho_celda;
			$ancho_celda=18;
			$textMsg = utf8_decode("FECHA: ");//20
			$pdf->Text($inicio_celda, $linea,$textMsg);
			$inicio_celda=$inicio_celda+$ancho_celda;
			$ancho_celda=30;
			$textMsg = utf8_decode("CHEQUE: ");//30
			$pdf->Text($inicio_celda, $linea,$textMsg);
			$inicio_celda=$inicio_celda+$ancho_celda;
			$ancho_celda=30;
			$textMsg = utf8_decode("MONTO: ");//30
			$pdf->Text($inicio_celda, $linea,$textMsg);
			$linea = $linea + 2;
			
		}
		$titulo=='N';
		$l=0;
	}
	$l=$l+1;
	$count=$count+1;
		
	$pdf->SetFont('Arial','',7);
	
	$ancho_cel=100;
	$separador_cel=4;
	$ancho_txt = $pdf->GetStringWidth($nombre);	
	//echo $nombre.';'.$ancho_txt;					
	$decimal=($ancho_txt/$ancho_cel)-intval(($ancho_txt/$ancho_cel));
	//echo intval(($ancho_txt/$ancho_cel));
	if(intval($ancho_txt/$ancho_cel) >= 1){
		if($decimal>0){
			//echo 'Debug hola';
			$separador_cel=(intval($ancho_txt/$ancho_cel)+1)*$separador;
		}else{
			$separador_cel=(intval($ancho_txt/$ancho_cel))*$separador;
		}
	}else{
		$separador_cel=$separador;
	}
	
	/*switch ($id_tramo) {
		case '16': //"VARIANTE CAACUPE"
			$tramo_txt=utf8_decode("V_CAACUPE");
		break;
		case '17': //"VARIANTE ITACURUBI"
			$tramo_txt=utf8_decode("V_ITACURUBI");
		break;
		case '18': //"VARIANTE SAN JOSE"
			$tramo_txt=utf8_decode("V_SANJOSE");
		break;
		case '19': //"VARIANTE CORONEL OVIEDO"
			$tramo_txt=utf8_decode("V_OVIEDO");
		break;
	}*/
	if ($id_tramo==16){
		$tramo_txt=utf8_decode("V_CAACUPE");
	}else if ($id_tramo==17){
		$tramo_txt=utf8_decode("V_ITACURUBI");
	}else if ($id_tramo==18){
		$tramo_txt=utf8_decode("V_SANJOSE");
	}else if ($id_tramo==19){
		$tramo_txt=utf8_decode("V_OVIEDO");
	}else {
		$tramo_txt=$tramo;
	}
	
	$ancho_nombre=$pdf->WordWrap($nombre,98);
	$ancho_tramo=$pdf->WordWrap($tramo_txt,20);
	
	if($ancho_nombre>$ancho_tramo){
		$separador_cel=$ancho_nombre*$separador;
		$separador_nombre=$separador;
		$separador_tramo=$separador_cel;
	}else{
		$separador_cel=$ancho_tramo*$separador;
		$separador_tramo=$separador;
		$separador_nombre=$separador_cel;
	}
	//$separador_cel=$ancho_nombre*$separador;
	
	$pdf->setXY(75, $linea);
	//$pdf->MultiCell($ancho_cel, $separador, utf8_decode($nombre), 1, 'L');
	
	$inicio_celda=10;
	$ancho_celda=15;
	$textMsg = utf8_decode($count.'_'.$codigo);
	$pdf->SetXY($inicio_celda, $linea);
	$pdf->MultiCell($ancho_celda, $separador_cel,utf8_decode($textMsg),1,'L');
	$inicio_celda=$inicio_celda+$ancho_celda;
	
	
    $ancho_celda=25;
	$textMsg = utf8_decode($tramo);
	$pdf->SetXY($inicio_celda, $linea);
	$pdf->MultiCell($ancho_celda, $separador_tramo,utf8_decode($tramo_txt),1,'C');
	$inicio_celda=$inicio_celda+$ancho_celda;
	
	$ancho_celda=25;
	$textMsg = utf8_decode($subtramo);
	$pdf->SetXY($inicio_celda, $linea);
	$pdf->MultiCell($ancho_celda, $separador_cel,utf8_decode($textMsg),1,'C');
	$inicio_celda=$inicio_celda+$ancho_celda;

	$ancho_celda=100;
	$textMsg = utf8_decode($nombre);
	$pdf->SetXY($inicio_celda, $linea);
	$pdf->MultiCell($ancho_celda, $separador_nombre,utf8_decode($textMsg),1,'C');
	$inicio_celda=$inicio_celda+$ancho_celda;

	
	$ancho_celda=25;
	$textMsg = utf8_decode($tipo_afectacion);
	$pdf->SetXY($inicio_celda, $linea);//se suma 100 por el ancho de la columna nombre. 
	$pdf->MultiCell($ancho_celda, $separador_cel,utf8_decode($textMsg),1,'C');
	$inicio_celda=$inicio_celda+$ancho_celda;
	
	$ancho_celda=18;
	$textMsg = utf8_decode($fecha_pago);
	$pdf->SetXY($inicio_celda, $linea);
	$pdf->MultiCell($ancho_celda, $separador_cel,utf8_decode($textMsg),1,'C');
	$inicio_celda=$inicio_celda+$ancho_celda;
	
	$ancho_celda=30;
	$textMsg = utf8_decode($nro_cheque);
	$pdf->SetXY($inicio_celda, $linea);
	$pdf->MultiCell($ancho_celda, $separador_cel,utf8_decode($textMsg),1,'C');
	$inicio_celda=$inicio_celda+$ancho_celda;
	
	$ancho_celda=30;
	$textMsg = utf8_decode($monto_pago);
	$pdf->SetXY($inicio_celda, $linea);
	$pdf->MultiCell($ancho_celda, $separador_cel,utf8_decode($textMsg),1,'R');
	$inicio_celda=$inicio_celda+$ancho_celda;
	$monto_total=$monto_total + $monto_pago;
	
	$linea= $linea+$separador_cel;


	if ($linea>=176) {//cantidad de lineas de una hoja A4
		$linea=10; 
		$l=0;
		$linea = $linea + $separador;
	}
	

	
	
	
}
pg_free_result ($resultcol);
pg_close ();
//echo $linea; 

$pdf->Close();
$nombre_archivo = "listado_afectados_tramo".$id_tramo.".pdf";
$pdf->Output($nombre_archivo,"I", true);

?>
